# Calendars: insert

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/workspace/calendar/api/v3/reference/calendars/insert#auth).

Creates a secondary calendar.

The authenticated user for the request is made the data owner of the new calendar.

<br />

**Note:** We recommend to authenticate as the intended data owner of the calendar. You can use [domain-wide delegation of authority](https://developers.google.com/workspace/cloud-search/docs/guides/delegation) to allow applications to act on behalf of a specific user. Don't use a service account for authentication. If you use a service account for authentication, the service account is the data owner, which can lead to unexpected behavior. For example, if a service account is the data owner, data ownership cannot be transferred.

<br />

[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/calendars/insert#try-it).

<br />

## Request

### HTTP request

```
POST https://www.googleapis.com/calendar/v3/calendars
```

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.app.created` |
| `https://www.googleapis.com/auth/calendar.calendars` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

In the request body, supply a [Calendars resource](https://developers.google.com/workspace/calendar/api/v3/reference/calendars#resource) with the following properties:

| Property name | Value | Description | Notes |
|---|---|---|---|
| **Required Properties** ||||
| `summary` | `string` | Title of the calendar. | writable |

## Response

If successful, this method returns a [Calendars resource](https://developers.google.com/workspace/calendar/api/v3/reference/calendars#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.